Bug 167055 - Tab in window mode moves screen, makes bash completion impossible
Summary: Tab in window mode moves screen, makes bash completion impossible
Status: RESOLVED FIXED
Alias: None
Product: krdc
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Urs Wolfer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-20 04:19 UTC by jamundso
Modified: 2008-08-31 00:12 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jamundso 2008-07-20 04:19:18 UTC
Version:           4.0.5 (KDE 4.0.5) (using 4.0.5 (KDE 4.0.5), 4.0.5-5.fc9 Fedora)
Compiler:          gcc
OS:                Linux (i686) release 2.6.25.10-86.fc9.i686

Typing tab in window mode moves screen, makes bash completion impossible. Typing tab in full screen behaves as expected - passed to remote, and then to the shell.
Comment 1 Urs Wolfer 2008-07-20 11:25:13 UTC
Are you using VNC or RDP?
Comment 2 jamundso 2008-07-20 16:40:58 UTC
VNC
Comment 3 jamundso 2008-07-21 05:52:25 UTC
To clarify - the character is passed to remote, and remote bash shell invokes tab completion, but krdc may have scrolled it off the work area. Also, local X display is same size as remote VNC destop, 1024x768 in this case. Small, I know, but it's a decent, free laptop, and running linux. :-)
Comment 4 Ben Klopfenstein 2008-08-29 00:36:27 UTC
I have noticed this happens with mouse wheel events too if the viewer has scroll bars.
Comment 5 Urs Wolfer 2008-08-31 00:12:56 UTC
SVN commit 855003 by uwolfer:

Change the way how events (mouse, key and wheel) are handled: overwrite QWidget::event. This way we can prevent the wrong (in our case) handling of the tab key. Also simplifies code a lot.
BUG:167055